#
# spec file for package nagios-xen (Version 1.0)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           nagios-xen
BuildRequires:  nagios
Summary:        A Xen Virtual Machine Monitor Plugin for Nagios
Version:        1.0
Release:        3.5
License:        GPL v2 or later
Group:          System/Monitoring
AutoReqProv:    on
Source0:        nagios-xen-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define	libexecdir %{_prefix}/lib/nagios/plugins

%description
This plugin helps to monitor XEN machines.



Authors:
--------
    Axel Schmidt <axel.schmidt@novell.com>

%package  host
License:        GPL v2 or later
Summary:        A Xen Virtual Machine Monitor Plugin for Nagios
Group:          System/Monitoring

%description host
This plugin helps to monitor XEN machines.



Authors:
--------
    Axel Schmidt <axel.schmidt@novell.com>

%prep
%setup -q

%build

%install
install -d $RPM_BUILD_ROOT/etc/nagios
install -d $RPM_BUILD_ROOT/usr/lib/nagios/plugins
cp xen_vm_service.cfg $RPM_BUILD_ROOT/etc/nagios/xen_vm_service.cfg.example
cp xen_vm_checkcommands.cfg $RPM_BUILD_ROOT/etc/nagios/xen_vm_checkcommands.cfg
cp check_xenvm $RPM_BUILD_ROOT/%{libexecdir}/check_xenvm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/nagios/xen_vm_service.cfg.example

%files host
%defattr(0755,root,root)
%dir %{_prefix}/lib/nagios
%dir %{_prefix}/lib/nagios/plugins
%{libexecdir}/check_xenvm
%defattr(-,root,root)
/etc/nagios/xen_vm_checkcommands.cfg

%changelog
* Wed Jun  4 2008 ihno@suse.de
- changing ownership of files
* Tue Jun  3 2008 ihno@suse.de
- initial Version
